## org.apache.myfaces.custom.swapimage
Class HtmlSwapImage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIGraphic
                  org.apache.myfaces.custom.swapimage.HtmlSwapImage

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlSwapImage
extends javax.faces.component.UIGraphic

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlSwapImage()`

Method Summary
`java.lang.String` `getActiveImageUrl()`
`java.lang.String` `getAlt()`
`java.lang.String` `getDir()`
`java.lang.String` `getFamily()`
`java.lang.String` `getHeight()`
`java.lang.String` `getLang()`
`java.lang.String` `getLongdesc()`
`java.lang.String` `getOnclick()`
`java.lang.String` `getOndblclick()`
`java.lang.String` `getOnkeydown()`
`java.lang.String` `getOnkeypress()`
`java.lang.String` `getOnkeyup()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getSwapImageUrl()`
`java.lang.String` `getTitle()`
`java.lang.String` `getUsemap()`
`java.lang.String` `getWidth()`
`boolean` `isIsmap()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setActiveImageUrl(java.lang.String activeImageUrl)`
`void` `setAlt(java.lang.String alt)`
`void` `setDir(java.lang.String dir)`
`void` `setHeight(java.lang.String height)`
`void` `setIsmap(boolean ismap)`
`void` `setLang(java.lang.String lang)`
`void` `setLongdesc(java.lang.String longdesc)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setSwapImageUrl(java.lang.String swapImageUrl)`
`void` `setTitle(java.lang.String title)`
`void` `setUsemap(java.lang.String usemap)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIGraphic
`getUrl, getValue, getValueBinding, setUrl, setValue, setValueBinding`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlSwapImage

    public HtmlSwapImage()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setSwapImageUrl

    public void setSwapImageUrl(java.lang.String swapImageUrl)

### getSwapImageUrl

    public java.lang.String getSwapImageUrl()

### setActiveImageUrl

    public void setActiveImageUrl(java.lang.String activeImageUrl)

### getActiveImageUrl

    public java.lang.String getActiveImageUrl()

### setAlt

    public void setAlt(java.lang.String alt)

### getAlt

    public java.lang.String getAlt()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setHeight

    public void setHeight(java.lang.String height)

### getHeight

    public java.lang.String getHeight()

### setIsmap

    public void setIsmap(boolean ismap)

### isIsmap

    public boolean isIsmap()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setLongdesc

    public void setLongdesc(java.lang.String longdesc)

### getLongdesc

    public java.lang.String getLongdesc()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setUsemap

    public void setUsemap(java.lang.String usemap)

### getUsemap

    public java.lang.String getUsemap()

### setWidth

    public void setWidth(java.lang.String width)

### getWidth

    public java.lang.String getWidth()

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)